<script src="/js/votes/index.js" type="text/javascript"></script>
<script type="text/javascript" src="/js/votes/chart-generator.js"></script>
<input type="hidden" id="chart-page" value='1' />

<h1><?= strtoupper(__('pv2_member_heading', array('username' => $this->user->username))) ?></h1>

<div class="gray-box form">
	<? if ($this->allowChat()): ?>
		<script type="text/javascript">
			window.onload = function() {
				jqac.arrowchat.getUser('<?= $this->user->id ?>','userdetails');
			}

			window.addEvent('domready', function() {			
				$('online_chat_icon').addEvent('click', function(e) {
					e.stop();

					var c = $('online_chat_icon').get('class');
					var nc, ch_st;

					if (c == '<?= $this->lang() ?>_online_chat_on')
					{
						jqac.arrowchat.showChat();
						nc = '<?= $this->lang() ?>_online_chat_off';
						ch_st = '<?= __('online') ?>';
						$('chat_status').removeClass('red');
						$('chat_status').addClass('green');
					}
					else
					{
						jqac.arrowchat.hideChat();
						nc = '<?= $this->lang() ?>_online_chat_on';
						ch_st = '<?= __('offline') ?>';
						$('chat_status').removeClass('green');
						$('chat_status').addClass('red');
					}

					$('online_chat_icon').set('class', nc);
					$('chat_status').set('html', ch_st);
				});
			});

			function userdetails(data) 
			{
				var st, ch_st, color;

				if (data.s == 'offline') 
				{
					st = 'on';
					ch_st = '<?= __('offline') ?>';
					color = 'red';
				} 
				else 
				{
					st = 'off';
					ch_st = '<?= __('online') ?>';
					color = 'green';
				}

				$('online_chat_icon').set('class', '<?= $this->lang() ?>_online_chat_' + st);
				$('chat_status').set('html', ch_st);
				$('chat_status').addClass(color);
			}
		</script>
	<? elseif ($this->allowChat2()): ?>
		<script type="text/javascript">
			window.addEvent('domready', function() {
				var st, ch_st, color;
						
				$('chat-wrapper').addEvent('chat-on', function() {
					st = 'off';
					ch_st = '<?= __('online') ?>';
					color = 'green';

					$('online_chat_icon').set('class', '<?= $this->lang() ?>_online_chat_' + st);
					$('chat_status').set('html', ch_st);
					$('chat_status').addClass(color);
				})

				$('chat-wrapper').addEvent('chat-off', function() {
					st = 'on';
					ch_st = '<?= __('offline') ?>';
					color = 'red';

					$('online_chat_icon').set('class', '<?= $this->lang() ?>_online_chat_' + st);
					$('chat_status').set('html', ch_st);
					$('chat_status').addClass(color);
				})

				$('online_chat_icon').addEvent('click', function(e) {
					e.stop();

					var c = $('online_chat_icon').get('class');
					var nc, ch_st;

					if (c == '<?= $this->lang() ?>_online_chat_on')
					{
						chat.enableChat();
						nc = '<?= $this->lang() ?>_online_chat_off';
						ch_st = '<?= __('online') ?>';
						$('chat_status').removeClass('red');
						$('chat_status').addClass('green');
					}
					else
					{
						chat.disableChat();
						nc = '<?= $this->lang() ?>_online_chat_on';
						ch_st = '<?= __('offline') ?>';
						$('chat_status').removeClass('green');
						$('chat_status').addClass('red');
					}
					
					$('online_chat_icon').set('class', nc);
					$('chat_status').set('html', ch_st);
			});
			});
		</script>
	<? endif; ?>
	
	<div class="cam-banner-member">
		<div class="textContentMember">
			<p class="newFeatureTextMember"><?= __('meet_your_favorite')?></p>
			<p class="newFeatureTitleMember"><span><?= __('try_bl_cams')?></span></p>
		</div>
		<a href='<?= $this->getLink('cams-member') ?>' class="link uppercase"><?=__('see_the_girls')?></a>
	</div>
			
	<div class="vindent2 member-left-col" style="padding: 20px">
		<span class="legend">
			<span class="i" style="padding-left: 38px;"><?= $this->t('online_chat') ?></span>
			<div id="chat_new"></div>
		</span>

		<div class="body">
			<p class="strong"><?= __('chat_member_text') ?></p><br/>
			<br/>
			<?= __('current_status') ?>: <span id="chat_status" class="strong"><?= __('offline') ?></span>
			<br/>
			<br/>
			<a href="#" id="online_chat_icon" class="<?= $this->lang() ?>_online_chat_on"></a>
		</div>
	</div>

    <div class="vindent2 member-right-col">
        <!--<div class="voting-area">
            <h2 class="vote-header"><?= __('city_poll');?></h2>
            <p class="voting-text-part1"></p>
            <p class="voting-text-part2"></p>
            <h3 class="vote-now"></h3>
            <button class="vote-this">Vote</button>
        </div>

        <div class="chart-area">

        </div>-->
    </div>
    <div class="clear"></div>
	
	<div class="vindent2">
		<span class="legend">
			<span class="i"><?= __('pv2_main_nav') ?></span>
		</span>
		
		<ul id="navigation">
		<? foreach ( $this->navigation as $i => $link ): ?>
			<li<?= $i == count($this->navigation) - 1 ? ' class="no-sep"' : '' ?>>
				<a href="<?= $this->getLink($link['link']) ?>" class="<?= $link['id'] ?>">
					<span style="position: relative">
						<? //unread support count on icon ?>
						<? if ( $link['id'] == 'private_messaging' && isset($link['unread_threads_count']) && $link['unread_threads_count']) : ?>
							<? if ( $link['unread_threads_count'] <= 9 ): ?>
								<p class="pm-count"><?= $link['unread_threads_count'] ?></p>
							<? else: ?>
								<p class="pm-count" style="font-size: 12px; line-height: 1.9"><?= '9+' ?></p>
							<? endif; ?>
						<? //unread support count on icon ?>
						<? elseif ( $link['id'] == 'support' && isset($link['supportUnreadsCount']) && $link['supportUnreadsCount']) : ?>
							<? if ( $link['supportUnreadsCount'] <= 9 ): ?>
								<p class="pm-count"><?= $link['supportUnreadsCount'] ?></p>
							<? else: ?>
								<p class="pm-count" style="font-size: 12px; line-height: 1.9"><?= '9+' ?></p>
							<? endif; ?>
						<? //favorites request count on icon ?>
						<? elseif ( $link['id'] == 'myfavourites' && isset($link['request_count']) && $link['request_count']) : ?>
							<p class="pm-count"><?= $link['request_count'] ?></p>
						<? endif; ?>
					</span>
					<?= strtoupper($link['title']) ?>
				</a>
			</li>
			<? if( ($i + 1) % 6 == 0 ):?>
			<div class="clear"></div>
			<? endif; ?>
		<? endforeach ?>
		</ul>
		<div class="clear"></div>
	</div>
</div><? /*  gray-box  */ ?>


<script src="/js/votes/init.js"></script>
<script type="text/javascript">
    window.addEvent('domready', function() {0
        Votes.init();
        Votes.getVotesStat();
    });
</script>
